> For the complete documentation index, see [llms.txt](https://docs.thewalletcrew.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thewalletcrew.io/api-reference/advanced/permissions.md).

# Permissions

## List available permissions and their descriptions

> Returns permission areas and scope descriptions.\
> &#x20;           \
> \## Authorization\
> Requires \`tenant.access:read\` scope.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"Permissions"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["ScopedAuthorizeRequirement"]},{"apiKey":["ScopedAuthorizeRequirement"]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}},"schemas":{"PermissionAreaWeb":{"required":["category","code","scopes"],"type":"object","properties":{"code":{"type":"string","description":"Area code grouping related scopes."},"category":{"type":"string","description":"Top-level category code used to group permission areas in the UI."},"description":{"type":["null","string"],"description":"Human-friendly description of the area."},"scopes":{"type":"array","items":{"description":"Web response for an available permission scope","$ref":"#/components/schemas/PermissionScopeWeb"},"description":"Scopes exposed by this permission area."}},"additionalProperties":false,"description":"Web response for a permission area (category of scopes)"},"PermissionScopeWeb":{"required":["code"],"type":"object","properties":{"code":{"type":"string","description":"Scope code used for access checks."},"description":{"type":["null","string"],"description":"Human-friendly description of the scope."}},"additionalProperties":false,"description":"Web response for an available permission scope"}}},"paths":{"/api/{tenantId}/admin/permissions":{"get":{"tags":["Permissions"],"summary":"List available permissions and their descriptions","description":"Returns permission areas and scope descriptions.\n            \n## Authorization\nRequires `tenant.access:read` scope.","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Permissions returned.","content":{"text/plain":{"schema":{"type":"array","items":{"description":"Web response for a permission area (category of scopes)","$ref":"#/components/schemas/PermissionAreaWeb"}}},"application/json":{"schema":{"type":"array","items":{"description":"Web response for a permission area (category of scopes)","$ref":"#/components/schemas/PermissionAreaWeb"}}},"text/json":{"schema":{"type":"array","items":{"description":"Web response for a permission area (category of scopes)","$ref":"#/components/schemas/PermissionAreaWeb"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thewalletcrew.io/api-reference/advanced/permissions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
